package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.stereotype.Component;

/**
 * 新闻类
 * 
 * @author admin
 *
 */
@Component
public class News implements Serializable {
	private static final long serialVersionUID = 7858511648802999854L;
	@Id
	private String id;
	private String url;
	private String title;
	private String content;
	private Date time;
	private String source;
	private String type;
	private String pt;
	private long savetime;
	private String spyderInfoId;
	private String rsid;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	public long getSavetime() {
		return savetime;
	}

	public void setSavetime(long savetime) {
		this.savetime = savetime;
	}

	public String getSpyderInfoId() {
		return spyderInfoId;
	}

	public void setSpyderInfoId(String spyderInfoId) {
		this.spyderInfoId = spyderInfoId;
	}

	public String getRsid() {
		return rsid;
	}

	public void setRsid(String rsid) {
		this.rsid = rsid;
	}

	@Override
	public String toString() {
		return "News [id=" + id + ", url=" + url + ", title=" + title + ", content=" + content + ", time=" + time
				+ ", source=" + source + ", type=" + type + ", pt=" + pt + ", savetime=" + savetime + ", spyderInfoId="
				+ spyderInfoId + ", rsid=" + rsid + "]";
	}

}
